reformat code, stylistic changes

This commit is contained in:
2026-02-28 14:45:41 +01:00
parent 25ee2cb422
commit db97601519
20 changed files with 232 additions and 234 deletions

View File

@@ -2,5 +2,5 @@ root = true
[{*.sh,*.bash,*.zsh,.bashrc,.zshrc,install}]
indent_style = space
indent_size = 2
indent_size = 4
max_line_length = 80

View File

@@ -16,11 +16,11 @@ export HSTR_CONFIG="hicolor" # get more colors
shopt -s histappend # append new history items to .bash_history
export HISTCONTROL="ignorespace" # leading space hides commands from history
export HISTFILESIZE="10000" # increase history file size (default is 500)
export HISTSIZE="${HISTFILESIZE}" # increase history size (default is 500)
export HISTSIZE="$HISTFILESIZE" # increase history size (default is 500)
# ensure synchronization between bash memory and history file
export PROMPT_COMMAND=("history -a; history -n;" "${PROMPT_COMMAND[@]}")
function hstrnotiocsti {
{ READLINE_LINE="$({ </dev/tty hstr -- "${READLINE_LINE}"; } \
{ READLINE_LINE="$({ </dev/tty hstr -- "$READLINE_LINE"; } \
2>&1 1>&3 3>&-)"; } 3>&1
READLINE_POINT="${#READLINE_LINE}"
}
@@ -33,13 +33,13 @@ export HSTR_TIOCSTI="n"
# ranger
ranger_cd() {
temp_file="$(mktemp -t "ranger_cd.XXXXXXXXXX")"
ranger --choosedir="${temp_file}" -- "${@:-${PWD}}"
if chosen_dir="$(cat -- "${temp_file}")" &&
[[ -n "${chosen_dir}" ]] &&
[[ "${chosen_dir}" != "${PWD}" ]]; then
cd -- "${chosen_dir}" || exit 1
ranger --choosedir="$temp_file" -- "${@:-$PWD}"
if chosen_dir="$(cat -- "$temp_file")" &&
[[ -n "$chosen_dir" ]] &&
[[ "$chosen_dir" != "$PWD" ]]; then
cd -- "$chosen_dir" || exit 1
fi
rm -f -- "${temp_file}"
rm -f -- "$temp_file"
}
alias ranger="ranger_cd"
@@ -52,7 +52,7 @@ alias ranger="ranger_cd"
# inside tmux, we don't know if Sway got restarted
if [[ -v TMUX ]]; then
swaymsg() {
SWAYSOCK="${XDG_RUNTIME_DIR}/sway-ipc.${UID}.$(pgrep -x sway).sock"
SWAYSOCK="$XDG_RUNTIME_DIR/sway-ipc.$UID.$(pgrep -x sway).sock"
export SWAYSOCK
command swaymsg "$@"
}

View File

@@ -1,13 +1,13 @@
take() {
local -r directory="$1"
mkdir -p "${directory}"
cd "${directory}" || exit 1
mkdir -p "$directory"
cd "$directory" || exit 1
}
# downloading from youtube
yt-dlp() {
local -a -r args=(
--cookies-from-browser "chromium:${HOME}/.local/share/qutebrowser"
--cookies-from-browser "chromium:$HOME/.local/share/qutebrowser"
--extractor-args "youtube:player_client=default,web_safari;player_js_version=actual"
--fragment-retries infinite
)

View File

@@ -3,13 +3,11 @@
#
# load bash configuration
CONF_DIR="${HOME}/.bash/conf.d"
readonly CONF_DIR
readonly conf_dir="${HOME}/.bash/conf.d"
if [[ -d "${CONF_DIR}" ]]; then
for conf_file in "${CONF_DIR}"/*.bash; do
[[ -r "${conf_file}" ]] || continue
if [[ -d "${conf_dir}" ]]; then
for conf_file in "${conf_dir}"/*.bash; do
# shellcheck source=/dev/null
source "${conf_file}"
[[ -r "$conf_file" ]] && . "${conf_file}"
done
fi

View File

@@ -2,5 +2,5 @@ root = true
[*]
indent_style = space
indent_size = 2
indent_size = 4
max_line_length = 80

View File

@@ -1,7 +1,7 @@
# Set PATH environment variable
typeset -U path PATH
path=(
"${HOME}/.local/bin"
"$HOME/.local/bin"
"/usr/local/sbin"
"/usr/local/bin"
"/usr/sbin"
@@ -11,8 +11,8 @@ path=(
export PATH
# Configure shell history behavior
HISTFILE="${HOME}/.zsh_history"
HISTSIZE="10000"
SAVEHIST="10000"
HISTFILE="$HOME/.zsh_history"
HISTSIZE=10000
SAVEHIST=10000
setopt appendhistory
setopt HIST_IGNORE_SPACE

View File

@@ -13,14 +13,14 @@ bindkey '^U' backward-kill-line
# Change cursor shape for different vi modes
zle-keymap-select() {
if [[ "${KEYMAP}" == "vicmd" ]] ||
[[ "$1" == "block" ]]; then
if [[ $KEYMAP == "vicmd" ]] ||
[[ $1 == "block" ]]; then
echo -ne '\e[2 q'
psvar[1]="(cmd) "
elif [[ "${KEYMAP}" == "main" ]] ||
[[ "${KEYMAP}" == "viins" ]] ||
[[ -z "${KEYMAP}" ]] ||
[[ "$1" == "beam" ]]; then
elif [[ $KEYMAP == "main" ]] ||
[[ $KEYMAP == "viins" ]] ||
[[ -z "$KEYMAP" ]] ||
[[ $1 == "beam" ]]; then
echo -ne '\e[6 q'
psvar[1]="(ins) "
fi

View File

@@ -1,19 +1,19 @@
if [[ -z "${TMUX}" ]]; then
if [[ -z "$TMUX" ]]; then
export REAL_TERM="${TERM}"
fi
if [[ "${REAL_TERM}" != "linux" ]]; then
if [[ $REAL_TERM != "linux" ]]; then
# To customize prompt, run `p10k configure` or edit ~/.zsh/prompt/p10k.zsh.
. "${HOME}/.zsh/plugins/powerlevel10k/powerlevel10k.zsh-theme"
. "$HOME/.zsh/plugins/powerlevel10k/powerlevel10k.zsh-theme"
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-${HOME}/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
. "${XDG_CACHE_HOME:-${HOME}/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
. "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi
[[ -f "${HOME}/.zsh/prompt/p10k.zsh" ]] && . "${HOME}/.zsh/prompt/p10k.zsh"
[[ -f "$HOME/.zsh/prompt/p10k.zsh" ]] && . "$HOME/.zsh/prompt/p10k.zsh"
else
. "${HOME}/.zsh/prompt/fallback.zsh"
. "$HOME/.zsh/prompt/fallback.zsh"
fi

View File

@@ -1,10 +1,10 @@
## Plugins configuration
# Automatic suggestions
. "${HOME}/.zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh"
. "$HOME/.zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh"
# Completions
fpath=("${HOME}/.zsh/plugins/zsh-completions/src" "${fpath[@]}")
fpath=("$HOME/.zsh/plugins/zsh-completions/src" "${fpath[@]}")
autoload -U compinit promptinit
compinit
promptinit
@@ -14,4 +14,4 @@ promptinit
zstyle ":completion::complete:*" use-cache 1
# Syntax highlighting in zsh prompt
. "${HOME}/.zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh"
. "$HOME/.zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh"

View File

@@ -1,3 +1,2 @@
# emacs specific stuff
[[ -n "${EAT_SHELL_INTEGRATION_DIR}" ]] &&
. "${EAT_SHELL_INTEGRATION_DIR}/zsh"
[[ -n "$EAT_SHELL_INTEGRATION_DIR" ]] && . "$EAT_SHELL_INTEGRATION_DIR/zsh"

View File

@@ -5,17 +5,17 @@ else
export EDITOR="vim"
fi
# export EDITOR="ec"
export VISUAL="${EDITOR}"
export SUDO_EDITOR="${EDITOR}"
export VISUAL="$EDITOR"
export SUDO_EDITOR="$EDITOR"
export VIRSH_DEFAULT_CONNECT_URI="qemu:///system"
export BROWSER="chromium"
export PAGER="less -R -F"
export BAT_PAGER="${PAGER}"
export BAT_PAGER="$PAGER"
export MANPAGER="less -R --use-color -Dd+r -Du+b"
[ -f "/usr/share/cowsay/cows" ] && export COWPATH="/usr/share/cowsay/cows"
export CHROOT="${HOME}/arch_chroot"
export CHROOT="$HOME/arch_chroot"
export AUR_REPO="whiteman808"
export AURDEST="${HOME}/.cache/paru/clone"
export AURDEST="$HOME/.cache/paru/clone"
export AUR_PAGER="ranger"
export GPGKEY="4A45503BBE575E3D4DAF28E27264AFFDC98D52BB"

View File

@@ -8,13 +8,13 @@ export LESS='-R --use-color -Dd+r$Du+b$'
zmodload zsh/zpty
pty() {
zpty pty-${UID} ${1+$@}
zpty pty-$UID ${1+$@}
if [[ ! -t 1 ]]; then
setopt local_traps
trap '' INT
fi
zpty -r pty-${UID}
zpty -d pty-${UID}
zpty -r pty-$UID
zpty -d pty-$UID
}
ptyless() {

View File

@@ -26,19 +26,19 @@ fi
# bat (debian)
if command -v batcat >/dev/null 2>&1; then
alias bat=batcat
alias bat="batcat"
fi
# ranger
ranger_cd() {
temp_file=$(mktemp -t "ranger_cd.XXXXXXXXXX")
ranger --choosedir="${temp_file}" -- "${@:-${PWD}}"
if chosen_dir=$(cat -- "${temp_file}") &&
[ -n "${chosen_dir}" ] &&
[ "${chosen_dir}" != "${PWD}" ]; then
cd -- "${chosen_dir}"
ranger --choosedir="$temp_file" -- "${@:-$PWD}"
if chosen_dir=$(cat -- "$temp_file") &&
[ -n "$chosen_dir" ] &&
[ $chosen_dir != "$PWD" ]; then
cd -- "$chosen_dir"
fi
rm -f -- "${temp_file}"
rm -f -- "$temp_file"
}
alias ranger="ranger_cd"
@@ -47,8 +47,8 @@ alias ranger="ranger_cd"
[[ -f "/usr/lib/mc/mc.sh" ]] && . "/usr/lib/mc/mc.sh"
# nix package manager
[[ -e "${HOME}/.nix-profile/etc/profile.d/nix.sh" ]] &&
. "${HOME}/.nix-profile/etc/profile.d/nix.sh"
[[ -e "$HOME/.nix-profile/etc/profile.d/nix.sh" ]] &&
. "$HOME/.nix-profile/etc/profile.d/nix.sh"
# nix shell
if command -v nix-your-shell >/dev/null 2>&1; then
@@ -56,19 +56,19 @@ if command -v nix-your-shell >/dev/null 2>&1; then
fi
# node.js
export NVM_DIR="${HOME}/.nvm"
[[ -s "${NVM_DIR}/nvm.sh" ]] &&
. "${NVM_DIR}/nvm.sh" # This loads nvm
[[ -s "${NVM_DIR}/bash_completion" ]] &&
. "${NVM_DIR}/bash_completion" # This loads nvm bash_completion
export NVM_DIR="$HOME/.nvm"
[[ -s "$NVM_DIR/nvm.sh" ]] &&
. "$NVM_DIR/nvm.sh" # This loads nvm
[[ -s "$NVM_DIR/bash_completion" ]] &&
. "$NVM_DIR/bash_completion" # This loads nvm bash_completion
# rvm
[[ -s "${HOME}/.rvm/scripts/rvm" ]] && . "${HOME}/.rvm/scripts/rvm"
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"
# pyenv
export PYENV_ROOT="${HOME}/.pyenv"
if [[ -d "${PYENV_ROOT}/bin" ]]; then
path=("${PYENV_ROOT}/bin" "${path[@]}")
export PYENV_ROOT="$HOME/.pyenv"
if [[ -d "$PYENV_ROOT/bin" ]]; then
path=("$PYENV_ROOT/bin" "${path[@]}")
export PATH
eval "$(pyenv init - zsh)"
eval "$(pyenv virtualenv-init -)"
@@ -77,7 +77,7 @@ fi
# inside tmux, we don't know if Sway got restarted
if [[ -v TMUX ]]; then
swaymsg() {
SWAYSOCK="${XDG_RUNTIME_DIR}/sway-ipc.${UID}.$(pgrep -x sway).sock"
SWAYSOCK="$XDG_RUNTIME_DIR/sway-ipc.$UID.$(pgrep -x sway).sock"
export SWAYSOCK
command swaymsg "$@"
}

View File

@@ -1,15 +1,16 @@
take() {
local -r directory="$1"
mkdir -p "${directory}"
cd "${directory}" || exit 1
mkdir -p "$directory"
cd "$directory" || exit 1
}
# downloading from youtube
yt-dlp() {
local -a -r args=(
--cookies-from-browser "chromium:${HOME}/.local/share/qutebrowser"
--cookies-from-browser "chromium:$HOME/.local/share/qutebrowser"
--extractor-args "youtube:player_client=default,web_safari;player_js_version=actual"
--fragment-retries infinite
--remote-components "ejs:github"
)
command yt-dlp "${args[@]}" "$@"
}

View File

@@ -1,4 +1,4 @@
# load zsh configuration
for file in "${HOME}/.zsh/conf.d/"*.zsh(N); do
source "${file}"
for file in "$HOME/.zsh/conf.d/"*.zsh(N); do
. "$file"
done

View File

@@ -2,5 +2,5 @@ root = true
[*]
indent_style = space
indent_size = 2
indent_size = 4
max_line_length = 80